'''Simple data loader module.

Loads data files from the "data" directory shipped with a game.

Enhancing this to handle caching etc. is left as an exercise for the reader.
'''

import os
import pygame
pygame.init()

data_py = os.path.abspath(os.path.dirname(__file__))
data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))

def filepath(filename):
    '''Determine the path to a file in the data directory.
    '''
    return os.path.join(data_dir, filename)

def load(filename, mode='rb'):
    '''Open a file in the data directory.

    "mode" is passed as the second arg to open().
    '''
    return open(os.path.join(data_dir, filename), mode)

def load_image(name, transparency = False):
    im = pygame.image.load(os.path.join(data_dir, name))
    if transparency:
        corner = im.get_at((0, 0))
        im.set_colorkey(corner, pygame.constants.RLEACCEL)
    return im.convert()

def quit():
    pygame.quit()
    os._exit(0)
